/*
 * Copyright 2013-2016 Canonical Ltd.
 *
 * This file is part of morph-browser.
 *
 * morph-browser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * morph-browser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <QtCore/QCoreApplication>
#include <QtCore/QDir>
#include <QtCore/QString>
#include <QtCore/QtGlobal>

#define REMOTE_INSPECTOR_PORT 9221

inline bool isClick() {
#if defined(CLICK_MODE)
    return true;
#else
    return false;
#endif
}

inline bool isRunningInstalled()
{
    static bool installed = (QCoreApplication::applicationDirPath() == QDir(qgetenv("SNAP").append("@CMAKE_INSTALL_FULL_BINDIR@")).canonicalPath());
    return installed;
}

inline QString UbuntuBrowserDirectory()
{
    if (isClick()) {
        return "@CMAKE_INSTALL_FULL_DATADIR@/morph-browser";
    }
    else if (isRunningInstalled()) {
        return qgetenv("SNAP").append("@CMAKE_INSTALL_FULL_DATADIR@/morph-browser");
    } else {
        return QStringLiteral("@CMAKE_SOURCE_DIR@/src/app");
    }
}

inline QString UbuntuBrowserImportsDirectory()
{
    return QStringLiteral("@CMAKE_BINARY_DIR@/src");
}

inline QString I18nDirectory()
{
    return QStringLiteral("@CMAKE_INSTALL_FULL_LOCALEDIR@");
}

#endif // __CONFIG_H__
